### Hierarchy

- Table

### Implements

- IRenderable
- IStackeable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- render

## Constructors

### constructor

- new Table(spec: ISpecification): Table

- - Defined in lib/renderable/table/index.ts:18

  #### Parameters

  - ##### spec: ISpecification

  #### Returns Table

## Properties

### Private spec

spec: ISpecification

- Defined in lib/renderable/table/index.ts:18

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IStackeable.render

  - Defined in lib/renderable/table/index.ts:27

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc